<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:param name="ID" value="XDSI3"/>
    <ui:define name="body">
        <h1>#{WADOManager.getTheNameOfThePage()}</h1>
        <h:form id="globalForm">

            <!-- 			<a4j:log mode="console" level="DEBUG" /> -->
            <!-- 			<ui:debug hotkey="0" /> -->

            #{WADOManager.init()}

            <s:div id="globalDiv">
                <gri:panel id="mainPanel">
                    <f:facet name="header">#{WADOManager.getTheNameOfThePage()}</f:facet>
                    <s:div>
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.xdstar.ThisToolProvidesThePossibilityToCreateAValidRequ']} "/>
                        <h:outputText value="#{WADOManager.selectedTransaction.keyword}"/>
                        <br/>
                        <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ToUseThisToolYouHaveTo']} "/>
                        <br/>
                        <ul>
                            <li>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.SelectYourResponderConfigurationOrAddANewOneOnTh']} "/>
                                <h:outputLink value="/XDStarClient/configuration/common/configurations.seam"
                                              title="#{messages['net.ihe.gazelle.xdstar.RespondersConfigurations']}">
                                    #{messages['net.ihe.gazelle.xdstar.Configurations']}
                                </h:outputLink>
                                <h:outputText value=". "/>
                            </li>
                            <li>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.FulfilMetadatasOfTheRequest']}"/>
                            </li>
                            <li>
                                <h:outputText
                                        value="#{messages['net.ihe.gazelle.xdstar.ClickOnTheButtonexecuteToRetrieveTheDocumentRequ']}"/>
                            </li>
                        </ul>
                    </s:div>
                    <ui:include src="/simu/header.xhtml">
                        <ui:param name="divToRerender"
                                  value="messageConfigurationDiv"/>
                        <ui:param name="simuManager" value="#{WADOManager}"/>
                        <ui:param name="diagramFile" value="/img/XDSI-55.png"/>
                        <ui:param name="sourceID"
                                  value="#{oid.getSourceOid(WADOManager.selectedAffinityDomain.keyword)}"/>
                        <ui:param name="simulatorConfigurationName"
                                  value="#{messages['net.ihe.gazelle.xdstar.ImagingDocumentConsumerSimulator']}"/>
                        <ui:param name="displaySourceId" value="#{false}"/>
                        <ui:param name="displayhomeCommunityId" value="#{false}"/>
                    </ui:include>
                    <!-- MESSAGE CONFIGURATION -->
                    <s:div id="messageConfigurationDiv">
                        <gri:panel rendered="#{WADOManager.selectedConfiguration != null}">
                            <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.WADORetrieveRequestParameters']}
                            </f:facet>
                            <h:outputText
                                    value="#{messages['net.ihe.gazelle.xdstar.ExampleOfUseWithDcm4cheeOfGazelleHttpgazelleihen']}"
                                    style="color:#777777;"/>
                            <br/>
                            <br/>
                            <a4j:commandButton oncomplete="jq162('#UploadManifestMP').modal('show');"
                                               styleClass="gzl-btn-green"
                                               value="#{messages['net.ihe.gazelle.xdstar.GenerateRequestFromKOSManifest']}"
                                               render="UploadManifestMP"/>
                            <br/>
                            <br/>

                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-horizontal">
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.RequestType']}
                                            </ui:define>
                                            <ui:param name="id" value="requestTypeInput"/>
                                            <ui:param name="required" value="true"/>
                                            <h:inputText id="requestTypeInput" value="#{WADOManager.requestType}"
                                                         required="true"
                                                         styleClass="form-control"/>
                                        </ui:decorate>
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ContentType']}
                                            </ui:define>
                                            <h:selectOneMenu value="#{WADOManager.contentType}"
                                                             styleClass="form-control gzl-form-control gzl-select-text">
                                                <s:selectItems value="#{WADOManager.contentTypeList}"
                                                               var="ctl" label="${ctl}"
                                                               noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"/>
                                            </h:selectOneMenu>
                                        </ui:decorate>
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Rows']}
                                            </ui:define>
                                            <h:inputText value="#{WADOManager.rows}" styleClass="form-control"/>
                                        </ui:decorate>
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.WindowWidth']}
                                            </ui:define>
                                            <h:inputText value="#{WADOManager.windowWidth}" styleClass="form-control"/>
                                        </ui:decorate>
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">
                                                #{messages['net.ihe.gazelle.xdstar.PresentationSeriesUID']}
                                            </ui:define>
                                            <h:inputText value="#{WADOManager.presentationSeriesUID}"
                                                         styleClass="form-control"/>
                                        </ui:decorate>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-horizontal">
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.StudyUID']}</ui:define>
                                            <ui:param name="id" value="studyUIDInput"/>
                                            <ui:param name="required" value="true"/>
                                            <h:inputText id="studyUIDInput" value="#{WADOManager.studyUID}" required="true"
                                                         styleClass="form-control"/>
                                        </ui:decorate>
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Charset']}
                                            </ui:define>
                                            <h:selectOneMenu value="#{WADOManager.charset}"
                                                             styleClass="form-control gzl-form-control gzl-select-text">
                                                <s:selectItems value="#{WADOManager.charsetList()}"
                                                               var="ctl" label="${ctl}"
                                                               noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"/>
                                            </h:selectOneMenu>
                                        </ui:decorate>
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Columns']}
                                            </ui:define>
                                            <h:inputText value="#{WADOManager.columns}" styleClass="form-control"/>
                                        </ui:decorate>
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.FrameNumber']}
                                            </ui:define>
                                            <h:inputText value="#{WADOManager.frameNumber}" styleClass="form-control"/>
                                        </ui:decorate>
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">
                                                #{messages['net.ihe.gazelle.xdstar.TransferSyntax']}
                                            </ui:define>
                                            <h:selectOneMenu value="#{WADOManager.transferSyntax}"
                                                             styleClass="form-control gzl-form-control gzl-select-text">
                                                <s:selectItems value="#{WADOManager.transferSyntaxUIDList()}"
                                                               var="ctl" label="${ctl}"
                                                               noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"/>
                                            </h:selectOneMenu>
                                        </ui:decorate>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-horizontal">
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.SeriesUID']}</ui:define>
                                            <ui:param name="id" value="seriesUIDInput"/>
                                            <ui:param name="required" value="true"/>
                                            <h:inputText id="seriesUIDInput" value="#{WADOManager.seriesUID}" required="true"
                                                         styleClass="form-control"/>
                                        </ui:decorate>
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Anonymize']}
                                            </ui:define>
                                            <h:selectBooleanCheckbox value="#{WADOManager.anonymize}"/>
                                        </ui:decorate>
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Region']}
                                            </ui:define>
                                            <h:inputText value="#{WADOManager.region}" styleClass="form-control"/>
                                        </ui:decorate>
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ImageQuality']}</ui:define>
                                            <rich:inputNumberSpinner maxValue="100" minValue="1"
                                                                     value="#{WADOManager.imageQuality}">
                                                <a4j:ajax event="keyup" render="previewDiv" execute="@this"/>
                                                <a4j:ajax event="change" render="previewDiv" execute="@this"/>
                                            </rich:inputNumberSpinner>
                                        </ui:decorate>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-horizontal">
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.ObjectUID']}</ui:define>
                                            <ui:param name="id" value="objectsUIDInput"/>
                                            <ui:param name="required" value="true"/>
                                            <h:inputText id="objectsUIDInput" value="#{WADOManager.objectUID}" required="true"
                                                         styleClass="form-control"/>
                                        </ui:decorate>
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Annotation']}
                                            </ui:define>
                                            <h:selectOneMenu value="#{WADOManager.annotation}"
                                                             styleClass="form-control gzl-form-control gzl-select-text">
                                                <s:selectItems value="#{WADOManager.annotationList()}"
                                                               var="ctl" label="${ctl}"
                                                               noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"/>
                                            </h:selectOneMenu>
                                        </ui:decorate>
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.WindowCenter']}
                                            </ui:define>
                                            <h:inputText value="#{WADOManager.windowCenter}" styleClass="form-control"/>
                                        </ui:decorate>
                                        <ui:decorate template="/layout/form/_form_field_horizontal_4-8.xhtml">
                                            <ui:define name="label">
                                                #{messages['net.ihe.gazelle.xdstar.PresentationUID']}
                                            </ui:define>
                                            <h:inputText value="#{WADOManager.presentationUID}"
                                                         styleClass="form-control"/>
                                        </ui:decorate>
                                    </div>
                                </div>
                            </div>
                        </gri:panel>
                        <br/>
                        <a4j:commandButton rendered="#{WADOManager.selectedConfiguration != null}"
                                           oncomplete="jq162('#PreviewId').modal('show');"
                                           styleClass="gzl-btn-blue"
                                           value="#{messages['net.ihe.gazelle.xdstar.Preview']}"
                                           action="#{WADOManager.previewMessage()}"
                                           render="messagesDiv,messageConfigurationDiv,PreviewForm,PreviewId"/>
                        <a4j:commandButton rendered="#{WADOManager.selectedConfiguration != null}"
                                           styleClass="gzl-btn-green"
                                           value="#{messages['gazelle.xdrsrc.Execute']}"
                                           actionListener="#{WADOManager.sendMessage()}"
                                           render="messagesDiv,messageConfigurationDiv"/>
                        <br/>
                        <br/>
                        <s:div id="messagesDiv">
                            <gri:panel id="messagePanel" rendered="#{WADOManager.displayResultPanel == true}">
                                <f:facet name="header">#{messages['gazelle.xdrsrc.executionSummary']}</f:facet>
                                #{allMessageManagerBean.listMessagesToDisplay()}
                                <ui:include src="/messages/messageTable.xhtml">
                                    <ui:param name="messageManagerBean" value="#{allMessageManagerBean}"/>
                                </ui:include>

                                <s:div rendered="#{WADOManager.message.wadoFile != null}">
                                    <s:decorate template="/layout/display/_display.xhtml">
                                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.DownloadedFile']}
                                        </ui:define>
                                        <h:panelGrid columns="5">
                                            <h:outputLink target="_blank"
                                                          value="#{WADOManager.getOutputLinkFile(WADOManager.message.wadoFile)}">
                                                <h:outputText value="#{WADOManager.message.wadoFile.name}"/>
                                            </h:outputLink>
                                            <gdk:spacer height="10px"/>
                                            <h:outputLink target="_blank"
                                                          value="#{WADOManager.getOutputLinkFile(WADOManager.message.wadoFile)}">
                                                <span class="gzl-icon-download"/>
                                            </h:outputLink>
                                            <gdk:spacer height="10px"/>
                                            <h:graphicImage
                                                    rendered="#{WADOManager.message.wadoFile.type.equals('application/dicom')}"
                                                    value="/img/launch.gif"
                                                    title="#{messages['net.ihe.gazelle.xdstar.Validate']}"
                                                    width="18" height="18"
                                                    style="cursor:pointer;vertical-align:bottom;">
                                                <a4j:ajax event="click"
                                                          oncomplete="jq162('#validation_result').modal('show')"
                                                          render="validation_result" execute="@this"
                                                          listener="#{WADOManager.validateCurrentDicomFile()}"/>
                                            </h:graphicImage>
                                        </h:panelGrid>
                                    </s:decorate>
                                    <s:graphicImage rendered="#{WADOManager.message.wadoFile.type.contains('image')}"
                                                    value="#{WADOManager.getCurrentFileAsImage()}" style="border:0px;"
                                                    title="Downloaded File"/>
                                </s:div>

                            </gri:panel>
                        </s:div>
                    </s:div>
                </gri:panel>
            </s:div>

        </h:form>

        <h:form>
            <gri:popupPanel id="UploadManifestMP" bodyStyleClass="gzl-select-modal-overflow-visible"
                            domElementAttachment="form">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.GenerateRequestFromKOSManifest']}"/>
                </f:facet>
                <f:facet name="footer">
                    <div align="right">
                        <a4j:commandButton oncomplete="jq162('#UploadManifestMP').modal('hide');" styleClass="gzl-btn"
                                           value="#{messages['net.ihe.gazelle.xdstar.Cancel']}" execute="@this"/>
                        <a4j:commandButton oncomplete="jq162('#UploadManifestMP').modal('hide');"
                                           styleClass="gzl-btn-green"
                                           action="#{WADOManager.generateRequestFromManifest()}"
                                           value="#{messages['net.ihe.gazelle.xdstar.GenerateTheRequest']}"
                                           render="messageDecoration,messageConfigurationDiv"/>
                    </div>
                </f:facet>
                <rich:fileUpload fileUploadListener="#{WADOManager.uploadListener}" immediateUpload="true"
                                 maxFilesQuantity="1" listHeight="90px"/>
            </gri:popupPanel>
        </h:form>

        <h:form id="PreviewForm">
            <gri:popupPanel id="PreviewId" bodyStyleClass="gzl-select-modal-overflow-visible"
                            domElementAttachment="form">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Preview_2']}"/>
                </f:facet>
                <f:facet name="footer">
                    <div align="right">
                        <a4j:commandButton oncomplete="jq162('#PreviewId').modal('hide');" styleClass="gzl-btn"
                                           value="#{messages['net.ihe.gazelle.xdstar.Cancel']}" execute="@this"/>
                    </div>
                </f:facet>
                <h:outputLink value="#{WADOManager.previewMessage()}"
                              title="#{messages['net.ihe.gazelle.xdstar.Preview_2']}" target="_blank"
                              rendered="#{WADOManager.selectedConfiguration != null}"
                              render="messagesDiv,messageConfigurationDiv">
                    #{messages['net.ihe.gazelle.xdstar.ClickHereToPreviewTheImage']}
                </h:outputLink>
            </gri:popupPanel>
        </h:form>

        <gri:popupPanel id="validation_result" bodyStyleClass="gzl-select-modal-overflow-visible">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.ValidationResult']}"/>
            </f:facet>
            <f:facet name="footer">
                <div align="right">
                    <a4j:commandButton oncomplete="jq162('#validation_result').modal('hide');" styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}" execute="@this"/>
                </div>
            </f:facet>
            <h:form>
                <s:decorate id="uuid_view" style="width:780px; height:420px; overflow: auto;">
                    <h:outputText value="#{WADOManager.validationResult}" escape="false"/>
                </s:decorate>
            </h:form>
        </gri:popupPanel>

    </ui:define>
</ui:composition>
